<?php
if(!defined('INDEX')) { header('Location: ../'); exit; }
$page = 'rename';
$titre = $planete->nom_planete;

if (isset($_POST['planete'])) {
	$nouvNom = trim($_POST['planete']);
	if (empty($nouvNom)) erreur('Vous n\'avez indiqué aucun nom de planète.', "red", '?p=rename');
	elseif (ereg('staf', strtolower($nouvNom)) && $sess->values['auth_level'] < 4) erreur('Vous devez faire parti du staff pour afficher le nom "staff" dans le nom de votre planète !', "red", '?p=rename');
	else {
		$bdd->connexion();
		$bdd->escape($nouvNom);
		$bdd->unique_query("UPDATE $table_planete SET nom_planete = '$nouvNom' WHERE id_user = $id_user AND id = $idPlan;");
		$bdd->deconnexion();
		erreur('Le nom de votre planète a été modifié avec succès.', "green", '?p=accueil');
	}
}
elseif(isset($_GET['a']) && isset($_GET['i']) && $_GET['a'] == $sess->values['abandon'] && !empty($idPlan) && $idPlan == $_GET['i']) {
	$galaxie = $planete->galaxie; $ss = $planete->ss; $position = $planete->position;	$bdd->connexion();
	$bdd->query("DELETE FROM $table_planete WHERE id_user = $id_user AND id = $idPlan AND galaxie = $galaxie AND ss = $ss AND position = $position LIMIT 1;");
	$bdd->query("DELETE FROM $table_flottes WHERE id_user = $id_user AND start_galaxie = $galaxie AND start_ss = $ss AND start_position = $position;");

	$req = $bdd->unique_query("SELECT * FROM $table_planete WHERE id_user = $id_user LIMIT 1;");
	$bdd->deconnexion();
	$sess->values['abandon'] = 0;
	unset($sess->values['abandon']);
	$sess->values['idPlan'] = $req['id'];
	$sess->put();

	erreur('Cette planète n\'est désormais plus sous votre contrôle.', "green", '?p=accueil');
}

$bdd->connexion();
$reqnb = $bdd->unique_query("SELECT COUNT(id) AS total FROM $table_planete WHERE id_user = $id_user;");
$bdd->deconnexion();
	if ($reqnb['total'] > 1) $hashA = md5(rand(123456789,9876543210));
	else $hashA = false;
$sess->values['abandon'] = $hashA;
$sess->put();
$template->assign('abandonH', $hashA);
?>